Get Product
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "prod_ABC123XYZ",
"productName": "Starter Plan",
"description": "Up to 100 minutes included",
"taxBehavior": "exclusive",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"creationDate": 1700000000,
"activeSubscriptionsCount": 5,
"status": "active"
}{
"error": "An unexpected error occurred"
}Products
Get Product
Retrieve a single product for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
products
/
{productId}
Get Product
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe product ID
Response
OK
Example:
"prod_ABC123XYZ"
Example:
"Starter Plan"
Example:
"Up to 100 minutes included"
Example:
"exclusive"
Show child attributes
Show child attributes
Example:
1700000000
Example:
5
Example:
"active"
⌘I
